package com.gh.gamecenter.search

import com.gh.gamecenter.entity.SearchSubjectEntity
import com.gh.gamecenter.feature.entity.GameEntity
import io.reactivex.Observable
import io.reactivex.Single

interface ISearchGameResultRepository {
    fun getSearchGame(key: String?, page: Int): Observable<List<GameEntity>>

    fun getSearchMiniGameCPM(key: String?): Observable<List<GameEntity>>

    fun getSearchSubject(key: String?, page: Int): Observable<List<SearchSubjectEntity>>

    fun getWGameCPMGameList(size: Int): Single<MutableList<GameEntity>>

    fun getDspGameList(columnType: String, showDownload: Boolean, size: Int): Single<List<GameEntity>>
}